GET /api/pro/payouts

The invoices to us, and whether each is paid. An employee has none and is answered 403.

Surface: professional. Who may call: professional. Key: professional.payouts.list.

Example request

curl -X GET https://caremcp.com/api/pro/payouts \
  -H "Authorization: Bearer <session or access token>"

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {}
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "array",
 "items": {
  "type": "object",
  "properties": {
   "id": {
    "type": "string"
   },
   "amountCents": {
    "type": "integer",
    "minimum": -9007199254740991,
    "maximum": 9007199254740991
   },
   "invoiceNumber": {
    "type": "string"
   },
   "status": {
    "type": "string",
    "enum": [
     "invoiced",
     "paid"
    ]
   },
   "at": {
    "type": "string"
   },
   "paidAt": {
    "type": [
     "string",
     "null"
    ]
   }
  },
  "required": [
   "id",
   "amountCents",
   "invoiceNumber",
   "status",
   "at",
   "paidAt"
  ],
  "additionalProperties": false
 }
}